package cpcns.utils;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.File;
import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.List;
import java.util.Map;
import java.util.Random;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.filefilter.DirectoryFileFilter;
import org.apache.commons.io.filefilter.TrueFileFilter;

public class FileUtil {
  public static String generateFileName(String filePath, String extension) {
    DateFormat format = new SimpleDateFormat("yyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt();
    String fileName = String.valueOf(filePath) + formatDate + random + extension;
    File f = new File(fileName);
    if (!f.exists())
      return String.valueOf(formatDate) + random; 
    return generateFileName(filePath, extension);
  }
  
  public static File generateRandomFile(String filePath, String extension) throws IOException {
    String fileName = generateFileName(filePath, extension);
    File f = new File(String.valueOf(filePath) + fileName + extension);
    if (f.exists()) {
      f = generateRandomFile(filePath, extension);
    } else if (!f.createNewFile()) {
      return null;
    } 
    return f;
  }
  
  public static void resetMap(Map<String, List<Object>> dataMap) {
    for (List<Object> value : dataMap.values())
      value.clear(); 
  }
  
  public static String createRandomFileName(String extension) {
    DateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt(1000);
    return String.valueOf(formatDate) + random + extension;
  }
  
  public static String createRandomFileNameNotExtension() {
    DateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt(1000);
    return String.valueOf(formatDate) + random;
  }
  
  public static String createRandomDirName() {
    DateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt(1000);
    return String.valueOf(formatDate) + random;
  }
  
  public static String createRandomFilePath(String nianDu, String fileName) {
    DateFormat format = new SimpleDateFormat("yyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt(1000);
    return "/" + nianDu + "/" + formatDate + random + fileName;
  }
  
  public static List<File> getDirEEPfile(String path) {
    List<File> eepFileList = new ArrayList<>();
    File file = new File(path);
    File[] fileList = file.listFiles();
    for (int i = 0; i < fileList.length; i++) {
      if (fileList[i].isFile() && (fileList[i].getName().indexOf(".eep") != -1 || fileList[i].getName().indexOf(".EEP") != -1))
        eepFileList.add(fileList[i]); 
    } 
    return eepFileList;
  }
  
  public static File generateFileName(String parent, String quanZongHao, String string) {
    DateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt(1000);
    File dirs = new File(parent);
    if (!dirs.exists())
      dirs.mkdirs(); 
    String fupath = String.valueOf(parent) + "/" + quanZongHao + formatDate + random + string;
    File temp = new File(fupath);
    return temp;
  }
  
  public static String getFilePathName(String parent, String quanZongHao) {
    DateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt(1000);
    File dirs = new File(parent);
    if (!dirs.exists())
      dirs.mkdirs(); 
    return String.valueOf(parent) + "/" + quanZongHao + formatDate + random;
  }
  
  public static void copyDirContentToTargetDir(String sourceDir, String targetDir) throws IOException {
    File targetFileDir = new File(targetDir);
    if (!targetFileDir.exists())
      targetFileDir.mkdirs(); 
    File sourceDirFile = new File(sourceDir);
    Collection<File> findFiles = FileUtils.listFilesAndDirs(sourceDirFile, TrueFileFilter.TRUE, 
        DirectoryFileFilter.DIRECTORY);
    for (File file : findFiles) {
      if (sourceDirFile.getName().equals(file.getName()))
        continue; 
      if (file.isFile()) {
        FileUtils.copyFileToDirectory(file, targetFileDir);
        continue;
      } 
      FileUtils.copyDirectory(file, targetFileDir);
    } 
  }
  
  public static String getFilePath(String parent, String quanZongHao, String string) {
    DateFormat format = new SimpleDateFormat("yyyyMMddHHmmss");
    String formatDate = format.format(new Date());
    Random seed = new Random(System.currentTimeMillis());
    int random = seed.nextInt(1000);
    File dirs = new File(parent);
    if (!dirs.exists())
      dirs.mkdirs(); 
    String fupath = String.valueOf(parent) + "/" + quanZongHao + formatDate + random + string;
    return fupath;
  }
}
